List calendars
curl --request GET \
--url https://api.nedzo.ai/v1/calendars \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nedzo.ai/v1/calendars"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nedzo.ai/v1/calendars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nedzo.ai/v1/calendars",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nedzo.ai/v1/calendars"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nedzo.ai/v1/calendars")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nedzo.ai/v1/calendars")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"calendars": [
{ "id": "https://api.calendly.com/event_types/ABC", "name": "30 Minute Meeting", "owner": "personal" }
],
"warnings": []
}
Agents
List calendars
List the calendars or event types a connected calendar provider offers, to set up calendar actions.
GET
/
calendars
List calendars
curl --request GET \
--url https://api.nedzo.ai/v1/calendars \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nedzo.ai/v1/calendars"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nedzo.ai/v1/calendars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nedzo.ai/v1/calendars",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nedzo.ai/v1/calendars"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nedzo.ai/v1/calendars")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nedzo.ai/v1/calendars")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"calendars": [
{ "id": "https://api.calendly.com/event_types/ABC", "name": "30 Minute Meeting", "owner": "personal" }
],
"warnings": []
}
This endpoint is for the VIP plan only. Other plans get a
403. See Plan access.id from this list as calendarId on a calendar action. Connect the provider in the dashboard first.
Query Parameters
string
required
cal_com, calendly, leadconnector or google.string
Needed for an account API key.
{
"calendars": [
{ "id": "https://api.calendly.com/event_types/ABC", "name": "30 Minute Meeting", "owner": "personal" }
],
"warnings": []
}
warnings says why the list may be incomplete, for example when the connected account cannot see every team calendar. It is empty when the list is complete.
Errors
| Status | When |
|---|---|
400 | provider is missing or not one of the four. |
404 | The workspace is not in your API key’s scope, or the provider is not connected. |
502 | The provider did not answer. Try again. |
Was this page helpful?
